# Run a workflow Run a specified workflow. In the request body, you can include parameters that you want to pass to the workflow. For the parameters to be recognized and picked up by tasks in the workflow, you need to define the parameters first. Note: To run a workflow, do not use the following reserved words in the request body of the parameters. - controller - action - id - user_email - user_token - format ### User Access Permission You must be assigned the Workflow Run Access permission to run this operation. To learn about how to define parameters, see Configure the settings of a workflow. Endpoint: POST /workflows/{workflow_id}/run Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Path parameters: - `workflow_id` (integer, required) The ID of the workflow definition you want to run. ## Response 200 fields (application/json): - `createdAt` (string) The date and time when the workflow is created, in the YYYY-MM-DD HH:MM:SS format. - `id` (integer) The unique ID of the workflow. - `name` (string) The run number of this workflow instance - `originalWorkflowId` (integer) The identifier of the workflow template that is used to create this instance. - `status` (string) Describes the current state of this workflow instance: - Queued: The workflow is in queue for being processed. - Processing: The workflow is in process. Enum: "Queued", "Processing" - `updatedAt` (string) The date and time the last time when the workflow is updated, in the YYYY-MM-DD HH:MM:SS format. ## Response 400 fields (application/json): - `errors` (array) The list of errors returned from the workflow - `errors.code` (string) A short error code describing the error Enum: "invalid" - `errors.status` (integer) The http status code for this error - `errors.title` (string) A human readable description describing the error ## Response 406 fields (application/json): - `errors` (array) The list of errors returned from the workflow - `errors.code` (string) A short error code describing the error Enum: "invalid" - `errors.status` (integer) The http status code for this error - `errors.title` (string) A human readable description describing the error - `parameters` (any) The request body that was originally provided to the run API. ## Response 409 fields (application/json): - `errors` (array) The list of errors returned from the workflow - `errors.code` (string) A short error code describing the error Enum: "invalid" - `errors.status` (integer) The http status code for this error - `errors.title` (string) A human readable description describing the error